## edu.cwru.SimpleRTS.environment
Class Environment

    java.lang.Object
      edu.cwru.SimpleRTS.environment.Environment

    public class Environment

extends java.lang.Object

Constructor Summary
`Environment(Agent[] connectedagents, Model model)`

Method Summary
`void` `forceNewEpisode()`
`Agent[]` `getAgents()`
`Model` `getModel()`
`State.StateView` `getState()`
`int` `getStepNumber()`
`boolean` `isTerminated()`
`void` `runEpisode()`
`boolean` `step()` Step through an episode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment

    public Environment(Agent[] connectedagents,
                       Model model)

Method Detail

### forceNewEpisode

    public void forceNewEpisode()

### getAgents

    public final Agent[] getAgents()

### getModel

    public final Model getModel()

### getState

    public final State.StateView getState()

### runEpisode

    public final void runEpisode()
                          throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### isTerminated

    public boolean isTerminated()

### step

    public boolean step()
                 throws java.lang.InterruptedException

  Step through an episode

  Returns:
    Return whether it has terminated.
  Throws:
    `java.lang.InterruptedException`

### getStepNumber

    public int getStepNumber()